MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Macros | Functions | Variables
ArchiveList.hxx File Reference

Go to the source code of this file.

## Macros
#define | archive_plugins_for_each(plugin)

## Functions
const ArchivePlugin * | archive_plugin_from_suffix (const char *suffix)
const ArchivePlugin * | archive_plugin_from_name (const char *name)
void | archive_plugin_init_all ()
void | archive_plugin_deinit_all ()

## Variables
const ArchivePlugin *const | archive_plugins []

## Macro Definition Documentation

#define archive_plugins_for_each | ( |  | plugin | ) |

Value:
for (const ArchivePlugin *plugin, \
*const*archive_plugin_iterator = &archive_plugins[0]; \
(plugin = *archive_plugin_iterator) != nullptr; \
++archive_plugin_iterator)
ArchivePlugin
Definition: ArchivePlugin.hxx:26
archive_plugins
const ArchivePlugin *const archive_plugins[]

Definition at line 27 of file ArchiveList.hxx.

## Function Documentation

void archive_plugin_deinit_all | ( |  | ) |

const ArchivePlugin* archive_plugin_from_name | ( | const char * | name | ) |

const ArchivePlugin* archive_plugin_from_suffix | ( | const char * | suffix | ) |

void archive_plugin_init_all | ( |  | ) |

## Variable Documentation

const ArchivePlugin* const archive_plugins[]